VERIFIED SOLUTION i

Resolve security bundle failing configuration step following upgrade from EngageOne 4.3.1 to 4.4.3

Product Feature: Installation / Upgrade
Versions affected: 4.4.3
 

Issue

Following upgrade of EngageOne from V4.3.1 to V4.4.3, the Security bundle fails at configuration step with the following error:

[ERROR] Failed to configure 'security' bundle please see log file C:\EO443Setup\install\logs\eos-security-configure-2017-08-02-104653.log
java.lang.RuntimeException: Failed to stop security Service

Cause

The following information was found in the Apache log file:

[info]  [ 3836] Running 'eos-security' Service...
[info]  [ 3300] Starting service...
[error] [ 3300] Failed creating java C:\java18jre\bin\server\jvm.dll
[error] [ 3300] The system cannot find the path specified.

Resolution

UPDATED: October 10, 2017
Wrong version of Java installed.  The product requires the 64bit version of Java, and the 32bit was installed.  In 32bit Java, jvm.dll is located in the bin\client folder, in 64bit, this is in the bin\server folder.

Once 64bit Java installed, security bundle installed, configured and validated without issue.